Skip to main content
Get Activity
GET
GET
https://api.atzcrm.com/v1/activity/:id

Retrieve the full details of a specific activity by its numeric ID.

Request

GET

GET /v1/activity/:id

Path Parameter

  • idinteger

    The numeric ID of the activity to retrieve.

Headers

  • Authorization: Bearer your_access_token

Response

200

Body

  • idnumber

    Example: 42

  • titlestring

    Example: Team Sync

  • activity_typeobject

    Example:
    "id": 2,
    "label": "Meeting"

  • related_tostring

    Slug of the related record.

  • related_recordobject

    Expanded related record details (always maximized on this endpoint).

  • related_to_typestring

    Example: candidate

  • collaboratorsarray

    Example:
    "id": 1,
    "slug": "user_abc",
    "full_name": "John Doe",
    "email": "john@example.com"

  • start_datestring

    Example: 2024-06-15

  • start_timestring

    Example: 10:00

  • end_timestring

    Example: 11:00

  • attendeesobject

    Contains three arrays: candidates (slug, full_name), contacts (slug, full_name), users (id, full_name, email).

  • meeting_linkstring

    Example: https://meet.google.com/abc-xyz

  • importancestring

    One of: low, normal, high, critical

  • locationstring

    Example: Conference Room A

  • descriptionstring

    Example: Monthly team sync

  • do_not_send_calendar_inviteboolean

    Example: false

  • mark_as_doneboolean

    Example: false

  • attachmentobject or null

    Example:
    "file_name": "agenda.pdf",
    "file_link": "https://..."

  • created_byobject

    Example:
    "id": 1,
    "slug": "user_abc",
    "full_name": "John Doe",
    "email": "john@example.com"

  • updated_byobject

    Example:
    "id": 1,
    "slug": "user_abc",
    "full_name": "John Doe",
    "email": "john@example.com"

  • created_atstring (ISO 8601)

    Example: 2024-06-15T10:00:00Z

  • updated_atstring (ISO 8601)

    Example: 2024-06-15T10:00:00Z

400

Body

  • Invalid activity ID
401

Body

  • Unauthorized
404

Body

  • Activity not found

Response Example

{
"id": 42,
"title": "Team Sync",
"activity_type": {
"id": 2,
"label": "Meeting"
},
"related_to": "candidate_abc123",
"related_record": {
"slug": "candidate_abc123"
},
"related_to_type": "candidate",
"collaborators": [
{
"id": 1,
"slug": "user_abc",
"full_name": "John Doe",
"email": "john@example.com"
}
],
"start_date": "2024-06-15",
"start_time": "10:00",
"end_time": "11:00",
"attendees": {
"candidates": [
{ "slug": "cand_abc", "full_name": "Jane Smith" }
],
"contacts": [
{ "slug": "cont_xyz", "full_name": "Bob Jones" }
],
"users": [
{ "id": 2, "full_name": "Alice Johnson", "email": "alice@example.com" }
]
},
"meeting_link": "https://meet.google.com/abc-xyz",
"importance": "high",
"location": "Conference Room A",
"description": "Monthly team sync",
"do_not_send_calendar_invite": false,
"mark_as_done": false,
"attachment": {
"file_name": "agenda.pdf",
"file_link": "https://cdn.atzcrm.com/files/agenda.pdf"
},
"created_by": {
"id": 1,
"slug": "user_abc",
"full_name": "John Doe",
"email": "john@example.com"
},
"updated_by": {
"id": 1,
"slug": "user_abc",
"full_name": "John Doe",
"email": "john@example.com"
},
"created_at": "2024-06-15T10:00:00Z",
"updated_at": "2024-06-15T10:00:00Z"
}